## libvterm 0~bzr684

=== Makefile ===
ifeq ($(shell uname),Darwin)
  LIBTOOL ?= glibtool
else
  LIBTOOL ?= libtool
endif

ifneq ($(VERBOSE),1)
  LIBTOOL +=--quiet
endif

override CFLAGS +=-Wall -Iinclude -std=c99

ifeq ($(shell uname),SunOS)
  override CFLAGS +=-D__EXTENSIONS__ -D_XPG6 -D__XOPEN_OR_POSIX
endif

ifeq ($(DEBUG),1)
  override CFLAGS +=-ggdb -DDEBUG
endif

ifeq ($(PROFILE),1)
  override CFLAGS +=-pg
  override LDFLAGS+=-pg
endif

CFILES=$(wildcard src/*.c)
HFILES=$(wildcard include/*.h)
OBJECTS=$(CFILES:.c=.lo)
LIBRARY=libvterm.la

BINFILES_SRC=$(wildcard bin/*.c)
BINFILES=$(BINFILES_SRC:.c=)

TBLFILES=$(wildcard src/encoding/*.tbl)
INCFILES=$(TBLFILES:.tbl=.inc)

HFILES_INT=$(wildcard src/*.h) $(HFILES)

VERSION_MAJOR=0
VERSION_MINOR=0

VERSION_CURRENT=0
VERSION_REVISION=0
VERSION_AGE=0

VERSION=0

PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib
INCDIR=$(PREFIX)/include
MANDIR=$(PREFIX)/share/man
MAN3DIR=$(MANDIR)/man3

all: $(LIBRARY) $(BINFILES)

$(LIBRARY): $(OBJECTS)
	@echo LINK $@
	@$(LIBTOOL) --mode=link --tag=CC $(CC) -rpath $(LIBDIR) -version-info $(VERSION_CURRENT):$(VERSION_REVISION):$(VERSION_AGE) -o $@ $^ $(LDFLAGS)

src/%.lo: src/%.c $(HFILES_INT)
	@echo CC $<
	@$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $<

src/encoding/%.inc: src/encoding/%.tbl
	@echo TBL $<
	@perl -CSD tbl2inc_c.pl $< >$@

src/encoding.lo: $(INCFILES)

bin/%: bin/%.c $(LIBRARY)
	@echo CC $<
	@$(LIBTOOL) --mode=link --tag=CC $(CC) $(CFLAGS) -o $@ $< -lvterm $(LDFLAGS)

t/harness.lo: t/harness.c $(HFILES)
	@echo CC $<
	@$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $<

t/harness: t/harness.lo $(LIBRARY)
	@echo LINK $@
	@$(LIBTOOL) --mode=link --tag=CC $(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

.PHONY: test
test: $(LIBRARY) t/harness
	for T in `ls t/[0-9]*.test`; do echo "** $$T **"; perl t/run-test.pl $$T $(if $(VALGRIND),--valgrind) || exit 1; done

.PHONY: clean
clean:
	$(LIBTOOL) --mode=clean rm -f $(OBJECTS) $(INCFILES)
	$(LIBTOOL) --mode=clean rm -f t/harness.lo t/harness
	$(LIBTOOL) --mode=clean rm -f $(LIBRARY) $(BINFILES)

.PHONY: install
install: install-inc install-lib install-bin

install-inc:
	install -d $(DESTDIR)$(INCDIR)
	install -m644 $(HFILES) $(DESTDIR)$(INCDIR)
	install -d $(DESTDIR)$(LIBDIR)/pkgconfig
	sed -e "s,@PREFIX@,$(PREFIX)," -e "s,@LIBDIR@,$(LIBDIR)," -e "s,@VERSION@,$(VERSION)," <vterm.pc.in >$(DESTDIR)$(LIBDIR)/pkgconfig/vterm.pc

install-lib: $(LIBRARY)
	install -d $(DESTDIR)$(LIBDIR)
	$(LIBTOOL) --mode=install install $(LIBRARY) $(DESTDIR)$(LIBDIR)/$(LIBRARY)
	$(LIBTOOL) --mode=finish $(DESTDIR)$(LIBDIR)

install-bin: $(BINFILES)
	install -d $(DESTDIR)$(BINDIR)
	$(LIBTOOL) --mode=install install $(BINFILES) $(DESTDIR)$(BINDIR)/

# DIST CUT

VERSION=$(VERSION_MAJOR).$(VERSION_MINOR)

DISTDIR=libvterm-$(VERSION)

distdir: $(INCFILES)
	mkdir __distdir
	cp LICENSE __distdir
	mkdir __distdir/src
	cp src/*.c src/*.h __distdir/src
	mkdir __distdir/src/encoding
	cp src/encoding/*.inc __distdir/src/encoding
	mkdir __distdir/include
	cp include/*.h __distdir/include
	mkdir __distdir/bin
	cp bin/*.c __distdir/bin
	mkdir __distdir/t
	cp t/*.test t/harness.c t/run-test.pl __distdir/t
	sed "s,@VERSION@,$(VERSION)," <vterm.pc.in >__distdir/vterm.pc.in
	sed "/^# DIST CUT/Q" <Makefile >__distdir/Makefile
	mv __distdir $(DISTDIR)

TARBALL=$(DISTDIR).tar.gz

dist: distdir
	tar -czf $(TARBALL) $(DISTDIR)
	rm -rf $(DISTDIR)

dist+bzr:
	$(MAKE) dist VERSION=$(VERSION)+bzr`bzr revno`

distdir+bzr:
	$(MAKE) distdir VERSION=$(VERSION)+bzr`bzr revno`

=== debian/changelog ===
libvterm (0~bzr684-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Declare compliance with policy 3.9.8, no changes required
  * Migrate to automatic dbgsym package

 -- James McCoy <jamessan@debian.org>  Tue, 30 Aug 2016 17:56:46 -0400

libvterm (0~bzr679-1) experimental; urgency=medium

  * New upstream release
    + Support for bracketed paste mode

 -- James McCoy <jamessan@debian.org>  Tue, 17 Nov 2015 22:48:42 -0500

libvterm (0~bzr638-1) experimental; urgency=medium

  * Fix Vcs-* URLs.
  * Merge latest upstream snapshot.
    + Add Breaks: pangoterm (<< 0~bzr572) due to upstream API changes
    + Update symbols file
  * Build from upstream's distdir to use their vterm.pc creation
  * Declare compatibility with Policy 3.9.6

 -- James McCoy <jamessan@debian.org>  Tue, 24 Feb 2015 22:30:28 -0500

libvterm (0~bzr618-1) experimental; urgency=low

  * Initial release (Closes: #740400)
  * Fix crash in specific scroll scenarios
  * Bounds-check number of rows in screen->state before calling
    vterm_state_get_lineinfo
  * Set Version in vterm.pc to DEB_VERSION_UPSTREAM

 -- James McCoy <jamessan@debian.org>  Sun, 30 Nov 2014 20:32:10 -0500

=== debian/control ===
Source: libvterm
Priority: extra
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends: debhelper (>= 9), libtool-bin
Standards-Version: 3.9.8
Section: libs
Homepage: http://www.leonerd.org.uk/code/libvterm/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libvterm.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libvterm.git/

Package: libvterm-dev
Section: libdevel
Architecture: any
Depends: libvterm0 (= ${binary:Version}), ${misc:Depends}
Description: abstract terminal library (development files)
 An abstract C99 library which implements a VT220 or xterm-like terminal
 emulator. It doesn't use any particular graphics toolkit or output
 system, instead it invokes callback function pointers that its embedding
 program should provide it to draw on its behalf. It avoids calling
 malloc() during normal running state, allowing it to be used in embedded
 kernel situations.
 .
 This package contains the header files and libraries needed for developing
 with libvterm.

Package: libvterm0
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: pangoterm (<< 0~bzr572)
Description: abstract terminal library
 An abstract C99 library which implements a VT220 or xterm-like terminal
 emulator. It doesn't use any particular graphics toolkit or output
 system, instead it invokes callback function pointers that its embedding
 program should provide it to draw on its behalf. It avoids calling
 malloc() during normal running state, allowing it to be used in embedded
 kernel situations.

Package: libvterm-bin
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: abstract terminal library (utility programs)
 An abstract C99 library which implements a VT220 or xterm-like terminal
 emulator. It doesn't use any particular graphics toolkit or output
 system, instead it invokes callback function pointers that its embedding
 program should provide it to draw on its behalf. It avoids calling
 malloc() during normal running state, allowing it to be used in embedded
 kernel situations.
 .
 This package contains utility programs that demonstrate libvterm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export CFLAGS CPPFLAGS LDFLAGS

MAKED = $(MAKE) -C libvterm-0.0

%:
	dh $@ --parallel

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf libvterm-0.0

override_dh_auto_build-arch:
	$(MAKE) distdir
	$(MAKED) VERBOSE=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install-arch:
	$(MAKED) VERBOSE=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) DESTDIR=$(CURDIR)/debian/tmp install

override_dh_auto_test:
	$(MAKED) VERBOSE=1 test

## libvterm 0~bzr710

=== debian/changelog ===
libvterm (0~bzr710-1) unstable; urgency=medium

  * Merge latest snapshot
    + Make build reproducible (Closes: #842622)
  * Declare compliance with Policy 4.0.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Tue, 01 Aug 2017 20:04:29 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends: debhelper (>= 9), libtool-bin
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Section: libs
 Homepage: http://www.leonerd.org.uk/code/libvterm/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libvterm.git

## libvterm 0~bzr715

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
   LIBTOOL +=--quiet
 endif
 
-override CFLAGS +=-Wall -Iinclude -std=c99
+override CFLAGS +=-Wall -Iinclude -std=c99 -Wpedantic
 
 ifeq ($(shell uname),SunOS)
   override CFLAGS +=-D__EXTENSIONS__ -D_XPG6 -D__XOPEN_OR_POSIX
@@ -23,18 +23,18 @@
   override LDFLAGS+=-pg
 endif
 
-CFILES=$(wildcard src/*.c)
-HFILES=$(wildcard include/*.h)
+CFILES=$(sort $(wildcard src/*.c))
+HFILES=$(sort $(wildcard include/*.h))
 OBJECTS=$(CFILES:.c=.lo)
 LIBRARY=libvterm.la
 
-BINFILES_SRC=$(wildcard bin/*.c)
+BINFILES_SRC=$(sort $(wildcard bin/*.c))
 BINFILES=$(BINFILES_SRC:.c=)
 
-TBLFILES=$(wildcard src/encoding/*.tbl)
+TBLFILES=$(sort $(wildcard src/encoding/*.tbl))
 INCFILES=$(TBLFILES:.tbl=.inc)
 
-HFILES_INT=$(wildcard src/*.h) $(HFILES)
+HFILES_INT=$(sort $(wildcard src/*.h)) $(HFILES)
 
 VERSION_MAJOR=0
 VERSION_MINOR=0

=== debian/changelog ===
libvterm (0~bzr715-1) unstable; urgency=medium

  * Merge latest snapshot
    + Support reporting FocusIn/FocusOut events
  * Add new vterm_state_focus_{in,out} symbols
  * Change Priority to optional
  * Declare compliance with Policy 4.1.1
  * Bump debhelper compat to 10
  * Set R³ to no

 -- James McCoy <jamessan@debian.org>  Thu, 09 Nov 2017 21:52:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libvterm
-Priority: extra
+Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 9), libtool-bin
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10), libtool-bin
+Standards-Version: 4.1.1
 Section: libs
 Homepage: http://www.leonerd.org.uk/code/libvterm/
+Rules-Requires-Root: no
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libvterm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libvterm.git/

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,7 @@
 MAKED = $(MAKE) -C libvterm-0.0
 
 %:
-	dh $@ --parallel
-
-override_dh_auto_clean:
-	$(MAKE) clean
-	rm -rf libvterm-0.0
+	dh $@
 
 override_dh_auto_build-arch:
 	$(MAKE) distdir

## libvterm 0~bzr718

=== debian/changelog ===
libvterm (0~bzr718-1) unstable; urgency=medium

  * Merge latest snapshot
    + Fix implementation of query on bracketed paste mode
  * control: Change Vcs-* to salsa.debian.org
  * Bump debhelper compat to 11
  * rules: Disable tests if DEB_BUILD_OPTIONS has nocheck
  * control: Declare compliance with Policy 4.1.3
  * control: Mark libvterm-dev Multi-Arch: same

 -- James McCoy <jamessan@debian.org>  Sat, 17 Mar 2018 14:24:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libvterm
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 10), libtool-bin
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11), libtool-bin
+Standards-Version: 4.1.3
 Section: libs
 Homepage: http://www.leonerd.org.uk/code/libvterm/
 Rules-Requires-Root: no
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libvterm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libvterm.git/
+Vcs-Git: https://salsa.debian.org/jamessan/libvterm.git
+Vcs-Browser: https://salsa.debian.org/jamessan/libvterm
 
 Package: libvterm-dev
 Section: libdevel
+Multi-Arch: same
 Architecture: any
 Depends: libvterm0 (= ${binary:Version}), ${misc:Depends}
 Description: abstract terminal library (development files)

=== debian/rules ===
--- 
+++ 
@@ -22,4 +22,6 @@
 	$(MAKED) VERBOSE=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) DESTDIR=$(CURDIR)/debian/tmp install
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKED) VERBOSE=1 test
+endif

## libvterm 0.1.2

=== Makefile ===
--- 
+++ 
@@ -36,14 +36,11 @@
 
 HFILES_INT=$(sort $(wildcard src/*.h)) $(HFILES)
 
-VERSION_MAJOR=0
-VERSION_MINOR=0
-
 VERSION_CURRENT=0
-VERSION_REVISION=0
+VERSION_REVISION=2
 VERSION_AGE=0
 
-VERSION=0
+VERSION=0.1.2
 
 PREFIX=/usr/local
 BINDIR=$(PREFIX)/bin
@@ -65,6 +62,9 @@
 src/encoding/%.inc: src/encoding/%.tbl
 	@echo TBL $<
 	@perl -CSD tbl2inc_c.pl $< >$@
+
+src/fullwidth.inc:
+	@perl find-wide-chars.pl >$@
 
 src/encoding.lo: $(INCFILES)
 
@@ -110,15 +110,13 @@
 
 # DIST CUT
 
-VERSION=$(VERSION_MAJOR).$(VERSION_MINOR)
-
 DISTDIR=libvterm-$(VERSION)
 
 distdir: $(INCFILES)
 	mkdir __distdir
-	cp LICENSE __distdir
+	cp LICENSE CONTRIBUTING __distdir
 	mkdir __distdir/src
-	cp src/*.c src/*.h __distdir/src
+	cp src/*.c src/*.h src/*.inc __distdir/src
 	mkdir __distdir/src/encoding
 	cp src/encoding/*.inc __distdir/src/encoding
 	mkdir __distdir/include

=== debian/changelog ===
libvterm (0.1.2-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Tue, 12 Nov 2019 22:40:22 -0500

libvterm (0.1.2-1) experimental; urgency=medium

  * New upstream release
  * rules: Smuggle $CPPFLAGS through $CFLAGS
  * Fix minimum version for symbols introduced in 0.1

 -- James McCoy <jamessan@debian.org>  Wed, 30 Oct 2019 08:18:06 -0400

libvterm (0.1.1-1) experimental; urgency=medium

  * New upstream releaes
    + Breaking change for VTermColor type
  * Update copyright years
  * rules:
    + Use $(DEB_UPSTREAM_VERSION) instead of hard-coded version
    + Add handling for DEB_BUILD_OPTIONS=terse
  * Update libvterm0.symbols with newly added symbols
  * control:
    + libvterm0: Break pangoterm/neovim versions without support for current ABI
  * Update to debhelper compat 12, using debhelper-compat Build-Depends
  * Declare compliance with Policy 4.4.0

 -- James McCoy <jamessan@debian.org>  Fri, 20 Sep 2019 22:25:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libvterm
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 11), libtool-bin
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12), libtool-bin
+Standards-Version: 4.4.0
 Section: libs
 Homepage: http://www.leonerd.org.uk/code/libvterm/
 Rules-Requires-Root: no
@@ -30,7 +30,7 @@
 Multi-Arch: same
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: pangoterm (<< 0~bzr572)
+Breaks: pangoterm (<< 0~bzr608), neovim (<< 0.4)
 Description: abstract terminal library
  An abstract C99 library which implements a VT220 or xterm-like terminal
  emulator. It doesn't use any particular graphics toolkit or output

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

CFLAGS += $(CPPFLAGS)
export CFLAGS LDFLAGS

V=VERBOSE=1
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	V=VERBOSE=0
endif

MAKED = $(MAKE) $(V) -C libvterm-$(DEB_VERSION_UPSTREAM)

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) $(V) distdir
	$(MAKED) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install-arch:
	$(MAKED) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) DESTDIR=$(CURDIR)/debian/tmp install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKED) test
endif

## libvterm 0.1.3

=== Makefile ===
--- 
+++ 
@@ -37,10 +37,10 @@
 HFILES_INT=$(sort $(wildcard src/*.h)) $(HFILES)
 
 VERSION_CURRENT=0
-VERSION_REVISION=2
+VERSION_REVISION=3
 VERSION_AGE=0
 
-VERSION=0.1.2
+VERSION=0.1.3
 
 PREFIX=/usr/local
 BINDIR=$(PREFIX)/bin
@@ -108,35 +108,3 @@
 	install -d $(DESTDIR)$(BINDIR)
 	$(LIBTOOL) --mode=install install $(BINFILES) $(DESTDIR)$(BINDIR)/
 
-# DIST CUT
-
-DISTDIR=libvterm-$(VERSION)
-
-distdir: $(INCFILES)
-	mkdir __distdir
-	cp LICENSE CONTRIBUTING __distdir
-	mkdir __distdir/src
-	cp src/*.c src/*.h src/*.inc __distdir/src
-	mkdir __distdir/src/encoding
-	cp src/encoding/*.inc __distdir/src/encoding
-	mkdir __distdir/include
-	cp include/*.h __distdir/include
-	mkdir __distdir/bin
-	cp bin/*.c __distdir/bin
-	mkdir __distdir/t
-	cp t/*.test t/harness.c t/run-test.pl __distdir/t
-	sed "s,@VERSION@,$(VERSION)," <vterm.pc.in >__distdir/vterm.pc.in
-	sed "/^# DIST CUT/Q" <Makefile >__distdir/Makefile
-	mv __distdir $(DISTDIR)
-
-TARBALL=$(DISTDIR).tar.gz
-
-dist: distdir
-	tar -czf $(TARBALL) $(DISTDIR)
-	rm -rf $(DISTDIR)
-
-dist+bzr:
-	$(MAKE) dist VERSION=$(VERSION)+bzr`bzr revno`
-
-distdir+bzr:
-	$(MAKE) distdir VERSION=$(VERSION)+bzr`bzr revno`

=== debian/changelog ===
libvterm (0.1.3-1) unstable; urgency=medium

  * Update to new upstream version 0.1.3.
  * debian/rules:
    + Adapt to work with released tarball instead of bzr export
  * Declare compliance with Policy 4.5.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Sun, 29 Mar 2020 18:20:36 -0400

## libvterm 0.1.4

=== debian/changelog ===
libvterm (0.1.4-1) unstable; urgency=medium

  * Update to new upstream version 0.1.4.

 -- James McCoy <jamessan@debian.org>  Thu, 01 Oct 2020 22:02:48 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends: debhelper-compat (= 12), libtool-bin
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: http://www.leonerd.org.uk/code/libvterm/
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

CFLAGS += $(CPPFLAGS)
export CFLAGS LDFLAGS

V=VERBOSE=1
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	V=VERBOSE=0
endif

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) $(V) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install-arch:
	$(MAKE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) DESTDIR=$(CURDIR)/debian/tmp install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(V) test
endif

=== debian/watch ===
version=4
http://www.leonerd.org.uk/code/@PACKAGE@/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## libvterm 0.3.3

=== Makefile ===
--- 
+++ 
@@ -37,10 +37,10 @@
 HFILES_INT=$(sort $(wildcard src/*.h)) $(HFILES)
 
 VERSION_CURRENT=0
-VERSION_REVISION=3
+VERSION_REVISION=0
 VERSION_AGE=0
 
-VERSION=0.1.3
+VERSION=0.3.3
 
 PREFIX=/usr/local
 BINDIR=$(PREFIX)/bin
@@ -97,7 +97,7 @@
 	install -d $(DESTDIR)$(INCDIR)
 	install -m644 $(HFILES) $(DESTDIR)$(INCDIR)
 	install -d $(DESTDIR)$(LIBDIR)/pkgconfig
-	sed -e "s,@PREFIX@,$(PREFIX)," -e "s,@LIBDIR@,$(LIBDIR)," -e "s,@VERSION@,$(VERSION)," <vterm.pc.in >$(DESTDIR)$(LIBDIR)/pkgconfig/vterm.pc
+	sed -e "s,@INCDIR@,$(INCDIR)," -e "s,@LIBDIR@,$(LIBDIR)," -e "s,@VERSION@,$(VERSION)," <vterm.pc.in >$(DESTDIR)$(LIBDIR)/pkgconfig/vterm.pc
 
 install-lib: $(LIBRARY)
 	install -d $(DESTDIR)$(LIBDIR)

=== debian/changelog ===
libvterm (0.3.3-3) unstable; urgency=medium

  * Add Breaks against neovim and emacs-libvterm (Closes: #1065731)

 -- James McCoy <jamessan@debian.org>  Sat, 09 Mar 2024 08:46:06 -0500

libvterm (0.3.3-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Mon, 04 Mar 2024 06:29:51 -0500

libvterm (0.3.3-1) experimental; urgency=medium

  * Update to new upstream version 0.3.3.

 -- James McCoy <jamessan@debian.org>  Sun, 06 Aug 2023 16:08:22 -0400

libvterm (0.3.2-1) experimental; urgency=medium

  * Update to new upstream version 0.3.2.

 -- James McCoy <jamessan@debian.org>  Sat, 27 May 2023 22:50:01 -0400

libvterm (0.3.1-1) experimental; urgency=medium

  * Update to new upstream version 0.3.1.
  * Update symbols for 0.3.1
  * Run wrap-and-sort -ast
  * Bump debhelper-compat to 13
  * Update upstream URLs to https
  * Declare compliance with Policy 4.6.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 04 Feb 2023 09:54:07 -0500

libvterm (0.3-1) experimental; urgency=medium

  * Update to new upstream version 0.3.
  * rules: Tell blhc to ignore "LINK libvterm.la"
  * libvterm0.symbols: Update for 0.3 release

 -- James McCoy <jamessan@debian.org>  Sun, 18 Sep 2022 14:57:30 -0400

libvterm (0.3~rc1-1) experimental; urgency=medium

  * Update to new upstream version 0.3~rc1.
  * libvterm0.symbols: Update for 0.3~rc1 release
  * Declare compliance with Policy 4.6.1, no changes needed

 -- James McCoy <jamessan@debian.org>  Mon, 12 Sep 2022 20:39:50 -0400

libvterm (0.2-1) experimental; urgency=medium

  * Update to new upstream version 0.2.
  * gbp.conf: remove upstream-vcs-tag since git-remote-bzr is broken
  * libvterm0.symbols: Update for 0.2 release
  * Document that libterm.la is not installed

 -- James McCoy <jamessan@debian.org>  Sat, 06 Nov 2021 12:10:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: libvterm
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper-compat (= 12), libtool-bin
-Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 13),
+ libtool-bin,
+Standards-Version: 4.6.2
 Section: libs
-Homepage: http://www.leonerd.org.uk/code/libvterm/
+Homepage: https://www.leonerd.org.uk/code/libvterm/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/jamessan/libvterm.git
 Vcs-Browser: https://salsa.debian.org/jamessan/libvterm
@@ -13,7 +15,9 @@
 Section: libdevel
 Multi-Arch: same
 Architecture: any
-Depends: libvterm0 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libvterm0 (= ${binary:Version}),
+ ${misc:Depends},
 Description: abstract terminal library (development files)
  An abstract C99 library which implements a VT220 or xterm-like terminal
  emulator. It doesn't use any particular graphics toolkit or output
@@ -26,11 +30,16 @@
  with libvterm.
 
 Package: libvterm0
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Multi-Arch: same
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: pangoterm (<< 0~bzr608), neovim (<< 0.4)
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ emacs-libvterm (<= 0.0.2+git20230417.94e2b0b-1),
+ neovim (<< 0.9),
 Description: abstract terminal library
  An abstract C99 library which implements a VT220 or xterm-like terminal
  emulator. It doesn't use any particular graphics toolkit or output
@@ -42,7 +51,9 @@
 Package: libvterm-bin
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: abstract terminal library (utility programs)
  An abstract C99 library which implements a VT220 or xterm-like terminal
  emulator. It doesn't use any particular graphics toolkit or output

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	dh $@
 
 override_dh_auto_build-arch:
+	@echo blhc: ignore-line-regexp: LINK libvterm.la
 	$(MAKE) $(V) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_install-arch:

=== debian/watch ===
version=4
https://www.leonerd.org.uk/code/@PACKAGE@/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
